// priority: 0

// Visit the wiki for more info - https://kubejs.com/

console.info('Executing KubeJS Startup Scripts...')

ItemEvents.modification(event => {
	event.modify('twigs:oak_table', item =>{
		item.burnTime = 240	})
	event.modify('twigs:spruce_table', item =>{
		item.burnTime = 240	})
	event.modify('twigs:jungle_table', item =>{
		item.burnTime = 240	})
	event.modify('twigs:acacia_table', item =>{
		item.burnTime = 240	})
	event.modify('twigs:birch_table', item =>{
		item.burnTime = 240	})
	event.modify('twigs:dark_oak_table', item =>{
		item.burnTime = 240	})
	event.modify('twigs:mangrove_table', item =>{
		item.burnTime = 240	})
	event.modify('twigs:cherry_table', item =>{
		item.burnTime = 240	})
	event.modify('twigs:bamboo_table', item =>{
		item.burnTime = 240	})
	event.modify('twigs:crimson_table', item =>{
		item.burnTime = 240	})
	event.modify('twigs:warped_table', item =>{
		item.burnTime = 240	})
	event.modify('refurbished_furniture:oak_chair', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:spruce_chair', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:jungle_chair', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:acacia_chair', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:birch_chair', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:dark_oak_chair', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:mangrove_chair', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:cherry_chair', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:crimson_chair', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:warped_chair', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:oak_table', item =>{
		item.burnTime = 400	})
	event.modify('refurbished_furniture:spruce_table', item =>{
		item.burnTime = 400	})
	event.modify('refurbished_furniture:jungle_table', item =>{
		item.burnTime = 400	})
	event.modify('refurbished_furniture:acacia_table', item =>{
		item.burnTime = 400	})
	event.modify('refurbished_furniture:birch_table', item =>{
		item.burnTime = 400	})
	event.modify('refurbished_furniture:dark_oak_table', item =>{
		item.burnTime = 400	})
	event.modify('refurbished_furniture:mangrove_table', item =>{
		item.burnTime = 400	})
	event.modify('refurbished_furniture:cherry_table', item =>{
		item.burnTime = 400	})
	event.modify('refurbished_furniture:crimson_table', item =>{
		item.burnTime = 400	})
	event.modify('refurbished_furniture:warped_table', item =>{
		item.burnTime = 400	})
	event.modify('refurbished_furniture:oak_desk', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:spruce_desk', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:jungle_desk', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:acacia_desk', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:birch_desk', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:dark_oak_desk', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:mangrove_desk', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:cherry_desk', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:crimson_desk', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:warped_desk', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:oak_cabinet', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:spruce_cabinet', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:jungle_cabinet', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:acacia_cabinet', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:birch_cabinet', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:dark_oak_cabinet', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:mangrove_cabinet', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:cherry_cabinet', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:crimson_cabinet', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:warped_cabinet', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:oak_drawer', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:spruce_drawer', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:jungle_drawer', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:acacia_drawer', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:birch_drawer', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:dark_oak_drawer', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:mangrove_drawer', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:cherry_drawer', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:crimson_drawer', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:warped_drawer', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:oak_cutting_board', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:spruce_cutting_board', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:jungle_cutting_board', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:acacia_cutting_board', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:birch_cutting_board', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:dark_oak_cutting_board', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:mangrove_cutting_board', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:cherry_cutting_board', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:crimson_cutting_board', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:warped_cutting_board', item =>{
		item.burnTime = 480	})
	event.modify('refurbished_furniture:oak_crate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:spruce_crate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:jungle_crate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:acacia_crate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:birch_crate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:dark_oak_crate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:mangrove_crate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:cherry_crate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:crimson_crate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:warped_crate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:oak_lattice_fence', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:spruce_lattice_fence', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:jungle_lattice_fence', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:acacia_lattice_fence', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:birch_lattice_fence', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:dark_oak_lattice_fence', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:mangrove_lattice_fence', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:cherry_lattice_fence', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:crimson_lattice_fence', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:warped_lattice_fence', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:oak_lattice_fence_gate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:spruce_lattice_fence_gate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:jungle_lattice_fence_gate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:acacia_lattice_fence_gate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:birch_lattice_fence_gate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:dark_oak_lattice_fence_gate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:mangrove_lattice_fence_gate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:cherry_lattice_fence_gate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:crimson_lattice_fence_gate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:warped_lattice_fence_gate', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:door_mat', item =>{
		item.burnTime = 240	})
	event.modify('refurbished_furniture:oak_mail_box', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:spruce_mail_box', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:jungle_mail_box', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:acacia_mail_box', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:birch_mail_box', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:dark_oak_mail_box', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:mangrove_mail_box', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:cherry_mail_box', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:crimson_mail_box', item =>{
		item.burnTime = 360	})
	event.modify('refurbished_furniture:warped_mail_box', item =>{
		item.burnTime = 360	})
	event.modify('jaffactory:orange_sapling', item =>{
		item.burnTime = 120	})
})



/*function renameItemOrFluid(event, prefix, renames) {
    // Loop through the renames object
    for (const [id, name] of Object.entries(renames)) {
        // Check if we are dealing with items or fluids
        if (prefix === "item:") {
            event.create(id).displayName(name); // Renames item
        } else if (prefix === "fluid:") {
            event.create(id).displayName(name); // Renames fluid
        }
    }
}

StartupEvents.registry('fluid', event => {
	const fluidRenames = {
		'jaffactory:chocolate_fluid': 'Jaffa Chocolate'
	};
renameItemOrFluid(event, 'fluid', itemRenames);	
});*/